Bug 1714775 - [4.1.z] Missing openapi CRD definitions for oc explain to work for image-registry operator CRD
Summary: [4.1.z] Missing openapi CRD definitions for oc explain to work for image-regi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1705752
Blocks: 1705753 1708600
TreeView+ depends on / blocked
 
Reported: 2019-05-28 19:56 UTC by Adam Kaplan
Modified: 2019-10-28 18:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: CRD doesn't have OpenAPI schema Consequence: oc explain doesn't work for config.imageregistry resource Fix: generate OpenAPI schema Result: oc explain can provide information about config.imageregistry.operator.openshift.io.
Clone Of: 1705752
Environment:
Last Closed: 2019-10-28 18:29:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 293 None None None 2019-07-22 19:35:29 UTC

Description Adam Kaplan 2019-05-28 19:56:17 UTC
Per Clayton [1], backporting this to 4.1.z.

[1] http://post-office.corp.redhat.com/archives/openshift-sme/2019-May/msg00914.html

+++ This bug was initially created as a clone of Bug #1705752 +++

The following PR https://github.com/openshift/origin/pull/22696 introduced an e2e which is verifying that all the operators provide descriptive information as part of their schema which is then available through oc explain command. 

Your component has a few missing bits, see the commented out lines from the PR.

This should be fixed similarly to https://github.com/openshift/cluster-version-operator/pull/168 and then update origin's e2e test and uncomment the lines from your components.

--- Additional comment from Maciej Szulik on 2019-05-02 21:10:49 UTC ---

Adam, I couldn't figure out a component for cluster-samples-operator but I've created just one issue wrt to imageregistry and sample operator configs. 
I'd like to see both addressed.

--- Additional comment from Ben Parees on 2019-05-02 21:17:03 UTC ---

I created clone https://bugzilla.redhat.com/show_bug.cgi?id=1705753 to cover the samples operator aspect of this.

--- Additional comment from Adam Kaplan on 2019-05-03 16:53:47 UTC ---

@Maciej this is a bit of a riskier proposition, since adding library-go requires bumping k8s.io deps to 1.13. Can we address this as tech debt in 4.2 (with a potential z-stream update for 4.1)?

--- Additional comment from Maciej Szulik on 2019-05-03 20:16:38 UTC ---

Yes 4.1.x is perfect.

--- Additional comment from Paul Weil on 2019-05-10 12:06:30 UTC ---



--- Additional comment from Ben Parees on 2019-05-13 13:57:30 UTC ---

moving to 4.2.0, if you decide to backport it to 4.1.z create a clone.

Comment 2 Adam Kaplan 2019-06-12 19:10:31 UTC
Note @Oleg - for this to pass the DESCRIPTION field must be populated when `oc explain` is called.

Need input from the CLI team on how to get this working.

Comment 3 Eric Paris 2019-06-24 18:47:42 UTC
moving this back to ASSIGNED until the bugzilla to master is resolved and potential solution is posted.

Comment 4 Adam Kaplan 2019-10-28 18:29:17 UTC
Issue has been fixed in 4.2. Since this bug has proved difficult to backport and is not a critical fix for security, telemetry, or support, closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.